do not use default=None for config options

Bug #1323975 reported by Christian Berendt on 2014-05-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Aodh
Fix Released
Undecided
Shuquan Huang
Barbican
Fix Released
Low
ZhiQiang Fan
Ceilometer
Fix Released
Low
lvdongbing
Cinder
Wishlist
Nate Potter
Designate
Undecided
Shuquan Huang
Glance
Undecided
Christian Berendt
Gnocchi
Fix Released
Low
Hanxi Liu
Magnum
Fix Released
Undecided
HouMing Wang
Mistral
Low
Shuquan Huang
Murano
Low
zhurong
OpenStack Backup/Restore and DR (Freezer)
Undecided
Partha Bera
OpenStack Compute (nova)
Low
Sean Dague
OpenStack Heat
Fix Released
Undecided
Christian Berendt
OpenStack Identity (keystone)
Low
wanghong
OpenStack Shared File Systems Service (Manila)
Undecided
Shuquan Huang
Rally
Low
Shuquan Huang
Sahara
Fix Released
Low
Christian Berendt
castellan
Undecided
Jeremy Liu
congress
Undecided
Shuquan Huang
glance_store
Low
Shuquan Huang
neutron
Undecided
Unassigned
oslo-incubator
Undecided
Christian Berendt
oslo.messaging
Undecided
Christian Berendt
zaqar
Undecided
ZhiQiang Fan

Bug Description

In the cfg module default=None is set as the default value. It's not necessary to set it again when defining config options.

Fix proposed to branch: master
Review: https://review.openstack.org/96081

Changed in trove:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/96084

Changed in oslo.messaging:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress
lvdongbing (dbcocle) on 2014-05-28
Changed in glance:
assignee: nobody → lvdongbing (dbcocle)
Changed in nova:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/96085

Changed in oslo:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress
Changed in sahara:
assignee: nobody → Christian Berendt (berendt)
Changed in glance:
assignee: lvdongbing (dbcocle) → Christian Berendt (berendt)
lvdongbing (dbcocle) on 2014-05-28
Changed in neutron:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/96091

Changed in heat:
assignee: nobody → Christian Berendt (berendt)
status: New → In Progress
Changed in magnetodb:
assignee: nobody → Christian Berendt (berendt)

Reviewed: https://review.openstack.org/96084
Committed: https://git.openstack.org/cgit/openstack/oslo.messaging/commit/?id=c0fde4749964b1d071c687887f172d5321dc3470
Submitter: Jenkins
Branch: master

commit c0fde4749964b1d071c687887f172d5321dc3470
Author: Christian Berendt <email address hidden>
Date: Wed May 28 09:08:04 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I5de0c1ddeeaccde8183ec130c85524f5b57f6f74
    Closes-Bug: #1323975

Changed in oslo.messaging:
status: In Progress → Fix Committed
Tracy Jones (tjones-i) on 2014-05-28
tags: added: oslo
Changed in sahara:
importance: Undecided → Low
milestone: none → juno-1
status: New → Confirmed
Changed in sahara:
status: Confirmed → Triaged
status: Triaged → In Progress

Reviewed: https://review.openstack.org/96083
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=a5adecfb5ef1a90673a57ed1d01fb294a445c1ef
Submitter: Jenkins
Branch: master

commit a5adecfb5ef1a90673a57ed1d01fb294a445c1ef
Author: Christian Berendt <email address hidden>
Date: Wed May 28 09:03:46 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Icb4c6909987d5a8f137e8e6a511206d13188d8ce
    Closes-Bug: #1323975

Changed in sahara:
status: In Progress → Fix Committed
Andrew Laski (alaski) wrote :

I would almost consider this a wishlist item rather than a real bug. For Nova it will be important to get a hacking check or something automated that can check this.

Changed in nova:
status: New → Confirmed
importance: Undecided → Low

Reviewed: https://review.openstack.org/96078
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=10691597011e8cb462d28c156b39742329bd0339
Submitter: Jenkins
Branch: master

commit 10691597011e8cb462d28c156b39742329bd0339
Author: Christian Berendt <email address hidden>
Date: Wed May 28 08:51:02 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Iad40a7bacef410e54d684cb438d4459f828f70df
    Closes-Bug: #1323975

Changed in glance:
status: New → Fix Committed

Change abandoned by Ilya Sviridov (<email address hidden>) on branch: master
Review: https://review.openstack.org/96088
Reason: Agreed to use explicit format

Reviewed: https://review.openstack.org/96085
Committed: https://git.openstack.org/cgit/openstack/oslo-incubator/commit/?id=3f1f641ead27381241c7a1be7198f264edbb7851
Submitter: Jenkins
Branch: master

commit 3f1f641ead27381241c7a1be7198f264edbb7851
Author: Christian Berendt <email address hidden>
Date: Wed May 28 09:10:29 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Ibb67da3b01c933b0789fd81f0b8a74e9aa30dd5a
    Closes-Bug: #1323975

Changed in oslo:
status: In Progress → Fix Committed
Changed in trove:
importance: Undecided → Wishlist
milestone: none → juno-2
milestone: juno-2 → none

Reviewed: https://review.openstack.org/96091
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=ca1ea053e4dd9e3296c7e3349c84d958b242aeb8
Submitter: Jenkins
Branch: master

commit ca1ea053e4dd9e3296c7e3349c84d958b242aeb8
Author: Christian Berendt <email address hidden>
Date: Wed May 28 09:28:45 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Idb78d3e25c79aba0d74fdd747efe2e17b6faa129
    Closes-Bug: #1323975

Changed in heat:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-11
Changed in glance:
milestone: none → juno-1
milestone: juno-1 → none
status: Fix Committed → Fix Released
milestone: none → juno-1
Thierry Carrez (ttx) on 2014-06-11
Changed in sahara:
status: Fix Committed → Fix Released
lvdongbing (dbcocle) on 2014-06-11
Changed in nova:
assignee: lvdongbing (dbcocle) → nobody
Changed in neutron:
assignee: lvdongbing (dbcocle) → nobody
Changed in ceilometer:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/99368

Changed in ceilometer:
status: New → In Progress
Thierry Carrez (ttx) on 2014-06-11
Changed in heat:
milestone: none → juno-1
status: Fix Committed → Fix Released
ZhiQiang Fan (aji-zqfan) on 2014-06-12
Changed in cinder:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
ZhiQiang Fan (aji-zqfan) wrote :

Christian Berendt has uploaded a patch for this bug: https://review.openstack.org/#/c/96480/

Changed in keystone:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
assignee: ZhiQiang Fan (aji-zqfan) → nobody
Changed in nova:
assignee: nobody → ZhiQiang Fan (aji-zqfan)
ZhiQiang Fan (aji-zqfan) wrote :
Changed in neutron:
status: New → Fix Committed
lvdongbing (dbcocle) on 2014-06-12
Changed in ironic:
assignee: nobody → lvdongbing (dbcocle)

Fix proposed to branch: master
Review: https://review.openstack.org/99532

Changed in ironic:
status: New → In Progress
ZhiQiang Fan (aji-zqfan) wrote :

$ git checkout master && git pull --ff-only && grep default=None nova -r
nova/network/model.py:73: def get_meta(self, key, default=None):
nova/scheduler/filters/utils.py:36:def validate_num_values(vals, default=None, cast_to=int, based_on=min):
nova/block_device.py:78: def __init__(self, bdm_dict=None, do_not_default=None):
nova/tests/fake_volume.py:73: def get(self, key, default=None):
nova/tests/fake_volume.py:107: def get(self, key, default=None):
nova/tests/virt/hyperv/db_fakes.py:107: def get(self, key, default=None):
nova/tests/keymgr/test_conf_key_mgr.py:54: CONF.set_default('fixed_key', default=None, group='keymgr')

https://review.openstack.org/#/q/project:%22openstack/nova%22+message:%22None%22+status:merged,p,002d690e000173e6 shows no commit about such issue, so I think it could be invalid, mark it as incomplete

Changed in nova:
assignee: ZhiQiang Fan (aji-zqfan) → nobody
status: Confirmed → Incomplete

Fix proposed to branch: master
Review: https://review.openstack.org/99543

Changed in cinder:
status: New → In Progress
ZhiQiang Fan (aji-zqfan) on 2014-06-12
Changed in marconi:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/99545

Changed in marconi:
status: New → In Progress
ZhiQiang Fan (aji-zqfan) on 2014-06-12
Changed in barbican:
assignee: nobody → ZhiQiang Fan (aji-zqfan)

Fix proposed to branch: master
Review: https://review.openstack.org/99546

Changed in barbican:
status: New → In Progress
Dolph Mathews (dolph) on 2014-06-12
Changed in keystone:
importance: Undecided → Low
status: New → Triaged

Reviewed: https://review.openstack.org/99546
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=b52e6fcb6c60b7b0852c6ffc958271a702e620ff
Submitter: Jenkins
Branch: master

commit b52e6fcb6c60b7b0852c6ffc958271a702e620ff
Author: ZhiQiang Fan <email address hidden>
Date: Thu Jun 12 10:17:11 2014 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value. It's not
    necessary to set it again when defining config options.

    Change-Id: Ib7f8e0ffa5ef082e3588686b02500cf975736293
    Closes-Bug: #1323975

Changed in barbican:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-12
Changed in neutron:
milestone: none → juno-1
status: Fix Committed → Fix Released
Changed in oslo:
milestone: none → juno-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-06-12
Changed in oslo.messaging:
milestone: none → juno-1
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/99532
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=c6394afef1719e0c8f0d62b5b9a58a9a1f9a9f07
Submitter: Jenkins
Branch: master

commit c6394afef1719e0c8f0d62b5b9a58a9a1f9a9f07
Author: lvdongbing <email address hidden>
Date: Thu Jun 12 09:49:48 2014 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value, there are a
    lot of StrOpts but few with default=None, to be more unify and clear, we
    should remove it.

    Change-Id: I2a5dab763fe9cc07e6c1dbed4628e9cf2ca28bcd
    Closes-Bug: #1323975

Changed in ironic:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/99368
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=d97eedd8ebf133ad95392e994d35bb55d6d237e8
Submitter: Jenkins
Branch: master

commit d97eedd8ebf133ad95392e994d35bb55d6d237e8
Author: lvdongbing <email address hidden>
Date: Wed Jun 11 21:29:14 2014 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I65786401354e5fb966339cbdb4a76f5f628b8d6f
    Closes-Bug: #1323975

Changed in ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/99545
Committed: https://git.openstack.org/cgit/openstack/marconi/commit/?id=d9fe301633825605174f81a73c473e4a7594bbaa
Submitter: Jenkins
Branch: master

commit d9fe301633825605174f81a73c473e4a7594bbaa
Author: ZhiQiang Fan <email address hidden>
Date: Thu Jun 12 10:05:32 2014 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value. It's not
    necessary to set it again when defining config options.

    Change-Id: Idc8e07b67c884c4c6e6632f7e31efd384353e34c
    Closes-Bug: #1323975

Changed in marconi:
status: In Progress → Fix Committed
Duncan Thomas (duncan-thomas) wrote :

No sure where (maybe on the review), but John Griffith made a comment I agree with, that maybe we actually prefer to be explicit about our defaults (Tao of Python and all that), rather than requiring implicit knowledge of the cfg module. Always requiring a default, even if it is None, might make for more readable code.

Thoughts?

That does make sense. We can't change the API to require it without
breaking a lot of code, I'm sure, but you don't have to accept this
patch. I have no idea what is motivating this series of changes.

Doug

On Tue, Jun 17, 2014 at 7:08 AM, Duncan Thomas <email address hidden> wrote:
> No sure where (maybe on the review), but John Griffith made a comment I
> agree with, that maybe we actually prefer to be explicit about our
> defaults (Tao of Python and all that), rather than requiring implicit
> knowledge of the cfg module. Always requiring a default, even if it is
> None, might make for more readable code.
>
> Thoughts?
>
> --
> You received this bug notification because you are subscribed to
> Ceilometer.
> Matching subscriptions: All oslo, ceilometer-all
> https://bugs.launchpad.net/bugs/1323975
>
> Title:
> do not use default=None for config options
>
> Status in Project Barbican:
> Fix Committed
> Status in OpenStack Telemetry (Ceilometer):
> Fix Committed
> Status in Cinder:
> In Progress
> Status in OpenStack Image Registry and Delivery Service (Glance):
> Fix Released
> Status in Orchestration API (Heat):
> Fix Released
> Status in OpenStack Bare Metal Provisioning Service (Ironic):
> Fix Committed
> Status in OpenStack Identity (Keystone):
> Triaged
> Status in MagnetoDB - key-value storage service for OpenStack:
> New
> Status in OpenStack Message Queuing Service (Marconi):
> Fix Committed
> Status in OpenStack Neutron (virtual network service):
> Fix Released
> Status in OpenStack Compute (Nova):
> Incomplete
> Status in Oslo - a Library of Common OpenStack Code:
> Fix Released
> Status in Messaging API for OpenStack:
> Fix Released
> Status in OpenStack Data Processing (Sahara, ex. Savanna):
> Fix Released
> Status in Openstack Database (Trove):
> In Progress
>
> Bug description:
> In the cfg module default=None is set as the default value. It's not
> necessary to set it again when defining config options.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/barbican/+bug/1323975/+subscriptions

Jay Bryant (jsbryant) wrote :

I concur with Duncan. I think being explicit is the best course of action.

wanghong (w-wanghong) on 2014-06-20
Changed in keystone:
assignee: nobody → wanghong (w-wanghong)

Fix proposed to branch: master
Review: https://review.openstack.org/101391

Changed in keystone:
status: Triaged → In Progress
Changed in cinder:
importance: Undecided → Wishlist
Eoghan Glynn (eglynn) on 2014-06-24
Changed in ceilometer:
importance: Undecided → Low
milestone: none → juno-2

Change abandoned by wanghong (<email address hidden>) on branch: master
Review: https://review.openstack.org/101391
Reason: Hi David Stanek.

Ok.

Reviewed: https://review.openstack.org/96480
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=035a6dee7b7df61442d2ec89f81d9c56f4d57b57
Submitter: Jenkins
Branch: master

commit 035a6dee7b7df61442d2ec89f81d9c56f4d57b57
Author: Christian Berendt <email address hidden>
Date: Thu May 29 16:44:12 2014 +0200

    remove default=None for config options

    In the cfg module default=None is set as the default value.
    It's not necessary to set default=None when defining new
    parameters.

    Closes-Bug: #1323975
    Change-Id: Ibd52063cf30ca7b5565b09ed4602c15d5def3645

Changed in keystone:
status: In Progress → Fix Committed
Changed in barbican:
importance: Undecided → Low
milestone: none → juno-2

Change abandoned by Huang Zhiteng (<email address hidden>) on branch: master
Review: https://review.openstack.org/99543
Reason: Given all 4 negative reviews and no response ever after, I'd abandon this change. Author can restore the change if he/she feels needed.

Thierry Carrez (ttx) on 2014-07-29
Changed in ceilometer:
status: Fix Committed → Fix Released
Changed in keystone:
status: Fix Committed → Fix Released
milestone: none → juno-2
Thierry Carrez (ttx) on 2014-07-29
Changed in marconi:
status: Fix Committed → Fix Released
milestone: none → juno-2
Thierry Carrez (ttx) on 2014-07-29
Changed in barbican:
milestone: juno-2 → none
status: Fix Committed → Fix Released
milestone: none → juno-2
Thierry Carrez (ttx) on 2014-09-04
Changed in ironic:
status: Fix Committed → Fix Released
milestone: none → juno-3

Change abandoned by Christian Berendt (<email address hidden>) on branch: master
Review: https://review.openstack.org/96081

Jay Pipes (jaypipes) on 2014-09-16
Changed in nova:
assignee: nobody → Sean Dague (sdague)
status: Incomplete → In Progress

Reviewed: https://review.openstack.org/121716
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=b5af89469a357bbc8aef45218986a342794b51dd
Submitter: Jenkins
Branch: master

commit b5af89469a357bbc8aef45218986a342794b51dd
Author: Sean Dague <email address hidden>
Date: Mon Sep 15 19:48:05 2014 -0400

    default=None is unneeded in config definitions

    It's not required for setting config options, as it's the default, and
    there were only 2 final places where it was set in the code, so we
    should just clear that out.

    Change-Id: I33dd0c002e48a5f5d26047b7f87643fce67f9e64
    Closes-Bug: #1323975

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-01
Changed in nova:
milestone: none → juno-rc1
status: Fix Committed → Fix Released
no longer affects: magnetodb
Thierry Carrez (ttx) on 2014-10-16
Changed in glance:
milestone: juno-1 → 2014.2
Changed in keystone:
milestone: juno-2 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in neutron:
milestone: juno-1 → 2014.2
Changed in nova:
milestone: juno-rc1 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in sahara:
milestone: juno-1 → 2014.2
Changed in ceilometer:
milestone: juno-2 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in heat:
milestone: juno-1 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in ironic:
milestone: juno-3 → 2014.2
Changed in barbican:
milestone: juno-2 → 2014.2
Thierry Carrez (ttx) on 2014-10-16
Changed in zaqar:
milestone: juno-2 → 2014.2
ZhiQiang Fan (aji-zqfan) on 2015-09-28
Changed in cinder:
assignee: ZhiQiang Fan (aji-zqfan) → nobody
status: In Progress → New
Nate Potter (ntpttr) on 2015-10-27
Changed in cinder:
assignee: nobody → Nate Potter (ntpttr)
status: New → In Progress
Changed in magnum:
assignee: nobody → Hou Ming Wang (houming-wang)

Fix proposed to branch: master
Review: https://review.openstack.org/242766

Changed in magnum:
status: New → In Progress
Changed in cinder:
assignee: Nate Potter (ntpttr) → Sean McGinnis (sean-mcginnis)
Changed in cinder:
assignee: Sean McGinnis (sean-mcginnis) → Nate Potter (ntpttr)
Shuquan Huang (shuquan) on 2015-11-08
Changed in tempest:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242789

Changed in tempest:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-08
Changed in rally:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242791

Changed in rally:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-08
Changed in congress:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242794

Changed in congress:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-08
Changed in aodh:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242795

Changed in aodh:
status: New → In Progress

Reviewed: https://review.openstack.org/239704
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=db8076be96548cf1aa7cf91931e8284122c50cd0
Submitter: Jenkins
Branch: master

commit db8076be96548cf1aa7cf91931e8284122c50cd0
Author: Nate Potter <email address hidden>
Date: Tue Oct 27 16:09:40 2015 +0000

    Don't use default=None for config options

    In the config module default=None is set as the default value,
    so it isn't necessary to set it again when doing config options.

    Change-Id: I09989ab679d249a9f7dea6af5d53c14dd1726e09
    Closes-Bug: #1323975

Changed in cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242766
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=b90aca1817ba2e91a817a33790ce95b1c74ed1bc
Submitter: Jenkins
Branch: master

commit b90aca1817ba2e91a817a33790ce95b1c74ed1bc
Author: houming-wang <email address hidden>
Date: Sat Nov 7 11:24:44 2015 -0500

    remove default=None for config options

    In the config module default=None is set as the default value,
    it isn't necessary to set it again when doing config options.

    Change-Id: Id6bbdb3c6b23bcc31d7a02057a73729e89cabb5c
    Closes-Bug: #1323975

Changed in magnum:
status: In Progress → Fix Committed
Shuquan Huang (shuquan) on 2015-11-08
Changed in bifrost:
assignee: nobody → Shuquan Huang (shuquan)
Changed in mistral:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242826

Changed in mistral:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-08
no longer affects: bifrost
Changed in manila:
assignee: nobody → Shuquan Huang (shuquan)

Reviewed: https://review.openstack.org/242791
Committed: https://git.openstack.org/cgit/openstack/rally/commit/?id=542b3b45f8019d007966596a0e27c4ddb3345f3c
Submitter: Jenkins
Branch: master

commit 542b3b45f8019d007966596a0e27c4ddb3345f3c
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 10:49:28 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I2f4691c5692dd6c5715ca0af7077e78a1d884b7f
    Closes-bug: #1323975

Changed in rally:
status: In Progress → Fix Committed
Shuquan Huang (shuquan) on 2015-11-08
Changed in gnocchi:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242831

Changed in gnocchi:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/242833

Changed in manila:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-08
Changed in glance-store:
assignee: nobody → Shuquan Huang (shuquan)

Reviewed: https://review.openstack.org/242795
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=1ea192935a8f5338290ad356b586ff14658cc52b
Submitter: Jenkins
Branch: master

commit 1ea192935a8f5338290ad356b586ff14658cc52b
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 11:22:41 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I2c717e39d7b5d9c80d1e5556f029f6aea0d290fe
    Closes-bug: #1323975

Changed in aodh:
status: In Progress → Fix Committed
Shuquan Huang (shuquan) on 2015-11-08
Changed in designate:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/242835

Changed in designate:
status: New → In Progress
zhurong (zhu-rong) on 2015-11-09
Changed in murano:
assignee: nobody → zhu.rong (zhu-rong)
Changed in murano:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-11-09
Changed in astara:
assignee: nobody → Shuquan Huang (shuquan)
Shuquan Huang (shuquan) on 2015-11-09
no longer affects: astara

Reviewed: https://review.openstack.org/242826
Committed: https://git.openstack.org/cgit/openstack/mistral/commit/?id=15a5ad392939754a3cd554db41c085e29b6f22f8
Submitter: Jenkins
Branch: master

commit 15a5ad392939754a3cd554db41c085e29b6f22f8
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 19:36:34 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I4925ab935caffa38fc711038a2a249777b36d969
    Closes-bug: #1323975

Changed in mistral:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242898
Committed: https://git.openstack.org/cgit/openstack/murano/commit/?id=50f206d22c24bcbd67f324df70e2fb3c30c830fb
Submitter: Jenkins
Branch: master

commit 50f206d22c24bcbd67f324df70e2fb3c30c830fb
Author: zhu.rong <zhu.rong@99cloud.net>
Date: Tue Nov 3 10:44:46 2015 -0500

    remove default=None for config options

    In the cfg module default=None is set as the default value.
    It's not necessary to set it again when defining config options.

    Change-Id: I1da2192df37b7e460e63bb59cd7d691aa9be00f4
    Closes-bug: #1323975

Changed in murano:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242835
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=dcb1ae9f89844ae9720c8860ecb870a5da6d4d74
Submitter: Jenkins
Branch: master

commit dcb1ae9f89844ae9720c8860ecb870a5da6d4d74
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 20:43:07 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I8bb9142ae506584ccc4099024b588ad639c2a242
    Closes-bug: #1323975

Changed in designate:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242831
Committed: https://git.openstack.org/cgit/openstack/gnocchi/commit/?id=ce0973d5661bb485123434684b2db61d816e58a5
Submitter: Jenkins
Branch: master

commit ce0973d5661bb485123434684b2db61d816e58a5
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 20:04:58 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I3a60876dc90a15267c51c3a3f83428896dcddced
    Closes-bug: #1323975

Changed in gnocchi:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242794
Committed: https://git.openstack.org/cgit/openstack/congress/commit/?id=da491798bb8cf5f526c43476e6f1b1487fb4c084
Submitter: Jenkins
Branch: master

commit da491798bb8cf5f526c43476e6f1b1487fb4c084
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 11:18:08 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Id903af41b522e56aec6bb0b885ad57244499c42f
    Closes-bug: #1323975

Changed in congress:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/242833
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=8247f350af7db639581c58e274e63463afe544c2
Submitter: Jenkins
Branch: master

commit 8247f350af7db639581c58e274e63463afe544c2
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 20:12:25 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I9303e2ae4b8f301757744efc09136868db29472a
    Closes-bug: #1323975

Changed in manila:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/243036
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=7c968deb238b2f29b1092f114488c40b4e9ac51f
Submitter: Jenkins
Branch: master

commit 7c968deb238b2f29b1092f114488c40b4e9ac51f
Author: wangxiyuan <email address hidden>
Date: Mon Nov 9 16:00:32 2015 +0800

    Remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: Icc0bed350bbe566a8ddfbc614e4254d02cd079f6
    Partial-bug: #1323975

Thierry Carrez (ttx) wrote :

Was fixed after the tag

Changed in aodh:
milestone: none → 1.1.0
status: Fix Committed → Fix Released
milestone: 1.1.0 → none
status: Fix Released → Fix Committed

Reviewed: https://review.openstack.org/243442
Committed: https://git.openstack.org/cgit/openstack/barbican/commit/?id=c59d7200cbe662b890f647b8e712ee7eccce5ecc
Submitter: Jenkins
Branch: master

commit c59d7200cbe662b890f647b8e712ee7eccce5ecc
Author: Pradeep Kumar Singh <email address hidden>
Date: Tue Nov 10 13:38:24 2015 +0530

    remove default=None for config options

    In the cfg module default=None is set as the default value.
    Closes-bug: #1323975

    Change-Id: I072cafcd7232c6ef82c071f541e151d589ba25f8

Reviewed: https://review.openstack.org/242834
Committed: https://git.openstack.org/cgit/openstack/glance_store/commit/?id=6993aacc6a53d8ccd7e498769772ee5dbd9b1ef5
Submitter: Jenkins
Branch: master

commit 6993aacc6a53d8ccd7e498769772ee5dbd9b1ef5
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Sun Nov 8 20:19:09 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: If4ae891bf5d098bb8b33804dcd5d3fb9826c594d
    Closes-bug: #1323975

Changed in murano:
importance: Undecided → Low
milestone: none → mitaka-1

Reviewed: https://review.openstack.org/242928
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=c272368d7f67ba4dad05e115f28449091fc4d494
Submitter: Jenkins
Branch: master

commit c272368d7f67ba4dad05e115f28449091fc4d494
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Mon Nov 9 13:05:27 2015 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I750c4a00e5a97e9050816afbefd62af0cb3e9109
    Closes-bug: #1323975

Changed in mistral:
importance: Undecided → Low
Flavio Percoco (flaper87) wrote :
Changed in glance-store:
status: New → Fix Committed
importance: Undecided → Low
Adrian Otto (aotto) on 2015-11-24
Changed in magnum:
milestone: none → mitaka-1
status: Fix Committed → Fix Released
Changed in rally:
importance: Undecided → Low
Duncan Thomas (duncan-thomas) wrote :

IMO not a bug - this is a widely used pattern in cinder, and matches the Tao of Python - "Be explicit rather than implicit". Changing this would be yet more code churn, would need a hacking rule to keep in consistent, and not actually make anything better.

Changed in rally:
milestone: none → 0.1.2
Julien Danjou (jdanjou) on 2015-12-02
Changed in gnocchi:
importance: Undecided → Low
Changed in glance-store:
status: Fix Committed → Fix Released

This issue was fixed in the openstack/cinder 8.0.0.0b1 development milestone.

Thierry Carrez (ttx) on 2015-12-03
Changed in mistral:
status: Fix Committed → Fix Released
Changed in cinder:
status: Fix Committed → Fix Released
Changed in aodh:
status: Fix Committed → Fix Released
Changed in manila:
status: Fix Committed → Fix Released
Changed in designate:
status: Fix Committed → Fix Released
Changed in murano:
status: Fix Committed → Fix Released
Changed in barbican:
milestone: 2014.2 → mitaka-1
Tim Hinrichs (thinrichs) on 2016-01-20
Changed in congress:
milestone: none → mitaka-2
status: Fix Committed → Fix Released
Julien Danjou (jdanjou) on 2016-02-19
Changed in gnocchi:
milestone: none → 2.0.0
status: Fix Committed → Fix Released
Dmitry Tantsur (divius) on 2016-02-22
no longer affects: ironic
Changed in rally:
milestone: 0.1.2 → none
status: Fix Committed → Fix Released
Amrith Kumar (amrith) wrote :

unassigned due to inactivity

Changed in trove:
assignee: Christian Berendt (berendt) → nobody

Change abandoned by Sean McGinnis (<email address hidden>) on branch: master
Review: https://review.openstack.org/251843
Reason: This review is > 4 weeks without comment and currently blocked by a core reviewer with a -2. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and contacting the reviewer with the -2 on this review to ensure you address their concerns.

Change abandoned by Ken'ichi Ohmichi (<email address hidden>) on branch: master
Review: https://review.openstack.org/242789
Reason: As http://lists.openstack.org/pipermail/openstack-dev/2016-May/096204.html , we start abandoning patches have gotten old without any updating after negative feedback. Please restore if necessary to restart this again.

Ken'ichi Ohmichi (oomichi) wrote :

I can see the point of this bug report, but the targets on Tempest was invalid because the places should represent None clearly.

no longer affects: tempest
Hanxi Liu (hanxi-liu) on 2016-08-22
Changed in gnocchi:
assignee: Shuquan Huang (shuquan) → Hanxi Liu (hanxi-liu)

Reviewed: https://review.openstack.org/358763
Committed: https://git.openstack.org/cgit/openstack/aodh/commit/?id=64011bb0da5b66647e387f26bea20299988760f5
Submitter: Jenkins
Branch: master

commit 64011bb0da5b66647e387f26bea20299988760f5
Author: Hanxi <email address hidden>
Date: Tue Aug 23 00:39:38 2016 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: I5e19bf14514738f426fd72d25ff3c3a951398c24
    Closes-bug: #1323975

Reviewed: https://review.openstack.org/358746
Committed: https://git.openstack.org/cgit/openstack/gnocchi/commit/?id=73ed97906b1c82e655b879e24f3c472ecd9acfe3
Submitter: Jenkins
Branch: master

commit 73ed97906b1c82e655b879e24f3c472ecd9acfe3
Author: Hanxi <email address hidden>
Date: Tue Aug 23 00:19:15 2016 +0800

    remove default=None for config options

    In the cfg module default=None is set as the default value.

    Change-Id: If7edb70aff5c7b50acca0fc513250731ec15f0c6
    Closes-bug: #1323975

This issue was fixed in the openstack/aodh 3.0.0.0b3 development milestone.

Jeremy Liu (liujiong) on 2016-10-06
Changed in freezer:
assignee: nobody → Jeremy Liu (liujiong)
Changed in castellan:
assignee: nobody → Jeremy Liu (liujiong)
Changed in castellan:
status: New → In Progress
Changed in freezer:
status: New → In Progress
Changed in trove:
assignee: nobody → Michael Glaser (mikeg451)

Reviewed: https://review.openstack.org/377711
Committed: https://git.openstack.org/cgit/openstack/castellan/commit/?id=02144d04dd44b6eab33af900dd6a1ded336c6c80
Submitter: Jenkins
Branch: master

commit 02144d04dd44b6eab33af900dd6a1ded336c6c80
Author: Jiong Liu <email address hidden>
Date: Tue Sep 27 21:52:53 2016 +0800

    Remove default=None when set value in Config

    By default oslo.cfg sets the default values as None [1], there is no need
    to explicitly do this.

    [1] https://github.com/openstack/oslo.config/blob/master/oslo_config/cfg.py#L829

    Change-Id: I97c70439c76fd17712f79371dd0ebc0ab12caabf
    Closes-bug: #1323975

Changed in castellan:
status: In Progress → Fix Released
Jin Li (jl7351) on 2016-10-06
Changed in neutron:
assignee: nobody → Jin Li (jl7351)
assignee: Jin Li (jl7351) → nobody

Change abandoned by Michael Glaser (<email address hidden>) on branch: master
Review: https://review.openstack.org/383363
Reason: Trove community is rejecting this change from being made, so abandoning commit.

Michael Glaser (mikeg451) wrote :

There have been multiple attempts to implement this change for Trove, and in each case the Trove community has is voted against making this change:
https://review.openstack.org/#/c/377226/
https://review.openstack.org/#/c/96081/
https://review.openstack.org/#/c/361802/
https://review.openstack.org/#/c/383363/

Recommend status be changed to invalid for Trove.

Changed in trove:
assignee: Michael Glaser (mikeg451) → nobody

Change abandoned by Jeremy Liu (<email address hidden>) on branch: master
Review: https://review.openstack.org/377721

Change abandoned by Jeremy Liu (<email address hidden>) on branch: master
Review: https://review.openstack.org/377727

Jeremy Liu (liujiong) on 2016-12-18
Changed in freezer:
assignee: Jeremy Liu (liujiong) → nobody
status: In Progress → New
Amrith Kumar (amrith) on 2016-12-18
no longer affects: trove
Partha Bera (partha.b) on 2016-12-29
Changed in freezer:
assignee: nobody → Partha Bera (partha.b)

Fix proposed to branch: master
Review: https://review.openstack.org/415614

Changed in freezer:
status: New → In Progress

Reviewed: https://review.openstack.org/415615
Committed: https://git.openstack.org/cgit/openstack/freezer/commit/?id=638efd25b4c998970e3ba20d812b49355489f872
Submitter: Jenkins
Branch: master

commit 638efd25b4c998970e3ba20d812b49355489f872
Author: Partha Bera <email address hidden>
Date: Thu Dec 29 12:03:17 2016 +0530

    Remove default=None for config options

    In the cfg module default=None is set as the
    default value. It's not necessary to set it
    again when defining config options.

    Change-Id: I9fc33e44fdf038684195a19027255ce1bfe61dc6
    Closes-bug: #1323975

Changed in freezer:
status: In Progress → Fix Released

This issue was fixed in the openstack/freezer 4.0.0.0b3 development milestone.

Reviewed: https://review.openstack.org/415614
Committed: https://git.openstack.org/cgit/openstack/freezer-api/commit/?id=3bc0135d48fec269d41949514c59c230a8b1e9b0
Submitter: Jenkins
Branch: master

commit 3bc0135d48fec269d41949514c59c230a8b1e9b0
Author: Partha Bera <email address hidden>
Date: Thu Dec 29 11:57:21 2016 +0530

    Remove default=None for config options

    In the cfg module default=None is set as the
    default value. It's not necessary to set it
    again when defining config options.

    Change-Id: Ib52c4e3c570b444cb79af65d1fa8025545578ab1
    Closes-bug: #1323975

This issue was fixed in the openstack/freezer-api 4.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers